## kopete 4.13.0

=== CMakeLists.txt ===
project(kopete)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
find_package(KdepimLibs REQUIRED)
find_package(QImageBlitz REQUIRED)

set(KOPETE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(KOPETE_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${KOPETE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES ${KDEWIN32_INCLUDES})
endif(WIN32)

add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(WIN32)
    set(DISABLE_VIDEOSUPPORT ON)
else (WIN32)
    option(DISABLE_VIDEOSUPPORT "Build Kopete without video-support" OFF)
endif(WIN32)

if(DISABLE_VIDEOSUPPORT)
    add_definitions(-DVIDEOSUPPORT_DISABLED)
endif(DISABLE_VIDEOSUPPORT)

kde4_no_enable_final(kopete)

### Alphabetical list of optional packages ###

macro_optional_find_package(Alsa)
macro_log_feature(ALSA_FOUND "Alsa" "Alsa is Advanced Linux Sound Architecture" "http://www.alsa-project.org/" FALSE "" "Required for the Jabber protocol with Google Talk libjingle support")

macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND Boost "C++ Boost libraries" "http://www.boost.org/" FALSE "" "Required for the WLM protocol")

macro_optional_find_package(Expat)
macro_log_feature(EXPAT_FOUND "Expat" "Expat is a stream oriented XML parser" "http://expat.sourceforge.net/" FALSE "" "Required for the Jabber protocol with Google Talk libjingle support")

macro_optional_find_package(GIF)
macro_log_feature(GIF_FOUND "GIF" "Package of portable tools and library routines for working with GIF images" "http://giflib.sourceforge.net/" FALSE "" "Required for the WLM protocol with handwriting messages support")

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "GLIB2" "GLib library" "http://www.gtk.org/" FALSE "" "Required for the Nowlistening plugin with XMMS player support")

macro_optional_find_package(IDN)
macro_log_feature(IDN_FOUND "IDN" "GNU Libidn Internationalized Domain Name (IDN) implementation" "http://www.gnu.org/software/libidn/" FALSE "" "Required for the Jabber protocol")

macro_optional_find_package(Jasper)
macro_log_feature(JASPER_FOUND "Jasper" "JasPer library implements the codec specified in the JPEG-2000 Part-1 standard" "http://www.ece.uvic.ca/~mdadams/jasper/" FALSE "" "Required for the Yahoo protocol")

macro_optional_find_package(JsonCpp)
macro_log_feature(JSONCPP_FOUND "JsonCpp" "JsonCpp is an implementation of a JSON reader and writer in C++" "http://jsoncpp.sourceforge.net/" FALSE "" "Required for the Jabber protocol with Google Talk libjingle support")

macro_optional_find_package(Kleopatra)
macro_log_feature(KLEOPATRA_FOUND "Kleopatra" "The Kleopatra libraries (from kdepim)" "http://kde.org/" FALSE "" "Required for the Cryptography plugin")

macro_optional_find_package(Libgadu)
macro_log_feature(LIBGADU_FOUND "Libgadu" "A library providing support for Gadu-Gadu protocol" "http://toxygen.net/libgadu/" FALSE "1.8.0" "Required for the Gadu-Gadu protocol")

macro_optional_find_package(LibMeanwhile)
macro_log_feature(LIBMEANWHILE_FOUND "LibMeanwhile" "A library for protocol support for connection to Sametime servers" "http://meanwhile.sourceforge.net/" FALSE "" "Required for the Meanwhile protocol")

macro_optional_find_package(Libmsn)
macro_log_feature(LIBMSN_FOUND "Libmsn" "A library providing support for the msn protocol" "http://libmsn.sourceforge.net/" FALSE "0.4.0" "Required for the WLM protocol")

macro_optional_find_package(LiboRTP)
macro_log_feature(LIBORTP_FOUND "LiboRTP" "oRTP provides an API to send rtp packets" "http://www.linphone.org/index.php/eng/code_review/ortp/" FALSE "0.13" "Required for the Jabber protocol with Google Talk libjingle support and for the WLM protocol with voice clips support")

macro_optional_find_package(LibOTR)
macro_log_feature(LIBOTR_FOUND "LibOTR" "A library to encrypt messages with Off-the-Record encryption" "http://www.cypherpunks.ca/otr/" FALSE "4.0.0" "Required for the OTR plugin")

macro_optional_find_package(LibV4L2)
macro_log_feature(LIBV4L2_FOUND "LibV4L2" "Collection of video4linux support libraries" "http://hansdegoede.livejournal.com/ http://linuxtv.org/hg/~hgoede/libv4l/" FALSE "" "Required for better webcam support on Linux")

macro_optional_find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXml2" "Libraries used to develop XML applications" "http://xmlsoft.org/" FALSE "" "Required for the Webpresence plugin")

macro_optional_find_package(LibXslt)
macro_log_feature(LIBXSLT_FOUND "LibXslt" "A library to transform XML files into other XML files" "http://xmlsoft.org/XSLT/" FALSE "" "Required for the Webpresence plugin")

macro_optional_find_package(Mediastreamer)
macro_log_feature(MEDIASTREAMER_FOUND "Mediastreamer" "A streaming engine specialized for voice/video telephony applications" "http://www.linphone.org/index.php/eng/code_review/mediastreamer2/" FALSE "2.3.0" "Required for the Jabber protocol with Google Talk libjingle support and for the WLM protocol with voice clips support")

macro_optional_find_package(OpenSSL)
macro_log_feature(OPENSSL_FOUND "OpenSSL" "OpenSSL implementation of SSL" "https://www.openssl.org/" FALSE "" "Required for the Jabber protocol with Google Talk libjingle support")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca/" FALSE "2.0.0" "Required for the GroupWise and Jabber protocols")

macro_optional_find_package(QGpgme)
macro_log_feature(QGPGME_FOUND "QGpgme" "QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")

macro_optional_find_package(Sqlite)
macro_log_feature(SQLITE_FOUND "Sqlite" "SQLite is a Binary-Database" "http://www.sqlite.org/" FALSE "" "Required for the Statistic plugin")

#macro_optional_find_package(Speex)
#macro_log_feature(SPEEX_FOUND "Speex" "Speex is an encoder/decoder for the speex audio format" "http://www.speex.org/" FALSE "" "Required for the Jabber protocol with Jingle support")

macro_optional_find_package(SRTP)
macro_log_feature(SRTP_FOUND "SRTP" "SRTP provides an implementation of the Secure Real-time Transport Protocol (SRTP)" "http://srtp.sourceforge.net/srtp.html" FALSE "" "Required for the Jabber protocol with Google Talk libjingle support")

macro_optional_find_package(Xmms)
macro_log_feature(XMMS_FOUND "Xmms" "X MultiMedia System development libraries" "http://www.xmms.org/" FALSE "" "Required for the Nowlistening plugin with XMMS player support")

macro_optional_find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "ZLIB" "Zlib is a library implementing the deflate compression method" "http://zlib.net/" FALSE "" "Required for the GroupWise and Jabber protocols")

set(KOPETE_INCLUDES
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KOPETE_SOURCE_DIR}/libkopete/
    ${KOPETE_BINARY_DIR}/libkopete/
    ${KOPETE_SOURCE_DIR}/libkopete/ui/
    ${KOPETE_SOURCE_DIR}/libkopete/private/
    ${KOPETE_SOURCE_DIR}/libkopete/contactlist/
    ${KOPETE_SOURCE_DIR}/libkopete/tasks/
)

add_subdirectory(libkopete)
add_subdirectory(kopete)
add_subdirectory(protocols)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(styles)
add_subdirectory(doc)

macro_display_feature_log()

=== protocols/CMakeLists.txt ===
option(WITH_testbed "Enable Kopete testbed protocol" ON)
option(WITH_oscar "Enable Kopete Oscar (ICQ and AIM) protocol" ON)
option(WITH_yahoo "Enable Kopete Yahoo protocol" ON)
option(WITH_qq "Enable Kopete QQ protocol" ON)
option(WITH_sms "Enable Kopete SMS protocol" ON)
option(WITH_groupwise "Enable Novell GroupWise Messenger protocol" ON)
option(WITH_winpopup "Enable Kopete winpopup protocol" ON)
option(WITH_gadu "Enable Kopete Gadu-Gadu protocol" ON)
option(WITH_jabber "Enable Kopete Jabber protocol" ON)
option(WITH_GOOGLETALK "Enable Kopete Jabber Google Talk support" ON)
option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
option(WITH_irc "Enable Kopete IRC protocol" OFF)
option(WITH_wlm "Enable Window Live Messenger support" ON)
option(WITH_WLM_MEDIASTREAMER "Enable Windows Live Messenger voice clip support" ON)
option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
option(WITH_skype "Enable Kopete Skype protocol" ON)

# Disable jingle support because it is not working and libiris does not support it
#if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Building jingle support")
#  set(BUILD_JINGLE TRUE)
#else(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Not building jingle support (recommended)")
#  set(BUILD_JINGLE FALSE)
#endif(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
set(BUILD_JINGLE FALSE)

if(OPENSSL_FOUND OR WIN32)
  if(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND ALSA_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
    message(STATUS "Building Google Talk libjingle support")
    set(BUILD_GOOGLETALK TRUE)
  else(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND ALSA_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
    message(STATUS "Not building Google Talk libjingle support")
    set(BUILD_GOOGLETALK FALSE)
  endif(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND ALSA_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
else(OPENSSL_FOUND OR WIN32)
  message(STATUS "Not building Google Talk libjingle support")
  set(BUILD_GOOGLETALK FALSE)
endif(OPENSSL_FOUND OR WIN32)

if(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
  message(STATUS "Building Windows Live Messenger voice clip support")
  set(BUILD_WLM_MEDIASTREAMER TRUE)
else(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
  message(STATUS "Not building Windows Live Messenger voice clip support")
  set(BUILD_WLM_MEDIASTREAMER FALSE)
endif(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)

include_directories(${KOPETE_INCLUDES})

if(WITH_wlm AND LIBMSN_FOUND AND Boost_FOUND)
  add_subdirectory( wlm )
endif(WITH_wlm AND LIBMSN_FOUND AND Boost_FOUND)

if(WITH_oscar)
  add_subdirectory( oscar )
endif(WITH_oscar)
if(WITH_yahoo AND JASPER_FOUND)
  add_subdirectory( yahoo ) 
endif(WITH_yahoo AND JASPER_FOUND)
if(WITH_qq)
  add_subdirectory( qq )
endif(WITH_qq)
if(WITH_irc)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: Building the irc plugin, even if  it hasn't been completely ported yet")
  add_subdirectory( irc )
endif(WITH_irc)
if(NOT WIN32)
  if(WITH_winpopup)
    add_subdirectory( winpopup )
  endif(WITH_winpopup)
  if(WITH_gadu AND LIBGADU_FOUND)
    add_subdirectory( gadu )
  endif(WITH_gadu AND LIBGADU_FOUND)
  if(WITH_sms)
    add_subdirectory( sms )
  endif(WITH_sms)
  if(NOT APPLE AND WITH_skype)
    add_subdirectory( skype )
  endif(NOT APPLE AND WITH_skype)
endif(NOT WIN32)

if(QCA2_FOUND AND ZLIB_FOUND)
  if(IDN_FOUND)
    if(WITH_jabber)
      add_subdirectory( jabber )
    endif(WITH_jabber)
  else(IDN_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Jabber because libidn-devel was not found")
  endif(IDN_FOUND)
  if(WITH_groupwise)
    add_subdirectory( groupwise )
  endif(WITH_groupwise)
else(QCA2_FOUND AND ZLIB_FOUND)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled GroupWise and Jabber because QCA2 was not found")
endif(QCA2_FOUND AND ZLIB_FOUND)

if(WITH_testbed)
  add_subdirectory( testbed )
endif(WITH_testbed)

if(WITH_bonjour)
  add_subdirectory( bonjour )
endif(WITH_bonjour)

if(WITH_meanwhile)
  if(LIBMEANWHILE_FOUND)
    add_subdirectory( meanwhile )
  else(LIBMEANWHILE_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Meanwhile beause libmeanwhile was not found")
  endif(LIBMEANWHILE_FOUND)
endif(WITH_meanwhile)

=== kopete/chatwindow/CMakeLists.txt ===

#add_subdirectory(tests)

add_subdirectory(a11y)

include_directories( 
${KOPETE_INCLUDES}
${CMAKE_CURRENT_SOURCE_DIR}/../ 
)

link_directories( ${CMAKE_CURRENT_BINARY_DIR} )
########### next target ###############

set( kopetechatwindow_shared_SRCS 
chatmessagepart.cpp 
emoticonselector.cpp 
kopeteemoticonaction.cpp 
chattexteditpart.cpp
kopeterichtextwidget.cpp
kopetechatwindowstylemanager.cpp 
kopetechatwindowstyle.cpp )


kde4_add_kcfg_files(kopetechatwindow_shared_SRCS GENERATE_MOC kopetechatwindowsettings.kcfgc )
kde4_add_library(kopetechatwindow_shared SHARED ${kopetechatwindow_shared_SRCS})
target_link_libraries(kopetechatwindow_shared kopete ${KDE4_PHONON_LIBS} ${KDE4_KHTML_LIBS} ${KDE4_KUTILS_LIBS} )
set_target_properties(kopetechatwindow_shared PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS kopetechatwindow_shared ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(chattexteditpart_PART_SRCS chattexteditpart.cpp )

kde4_add_plugin(chattexteditpart WITH_PREFIX ${chattexteditpart_PART_SRCS})


target_link_libraries(chattexteditpart kopete kopetechatwindow_shared ${KDE4_KPARTS_LIBS} )

install(TARGETS chattexteditpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kopete_chatwindow_PART_SRCS chatview.cpp kopetechatwindow.cpp chatmemberslistview.cpp)


kde4_add_plugin(kopete_chatwindow ${kopete_chatwindow_PART_SRCS})


target_link_libraries(kopete_chatwindow  ${KDE4_KDEUI_LIBS} kopete kopetechatwindow_shared ${KDE4_KHTML_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kopete_chatwindow  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kopete_emailwindow_PART_SRCS kopeteemailwindow.cpp )


kde4_add_plugin(kopete_emailwindow ${kopete_emailwindow_PART_SRCS})


target_link_libraries(kopete_emailwindow  ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KHTML_LIBS} kopete kopetechatwindow_shared)

install(TARGETS kopete_emailwindow  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############


########### install files ###############

install( FILES kopeterichtexteditpartfull.rc  DESTINATION ${DATA_INSTALL_DIR}/kopeterichtexteditpart)
install( FILES chatwindow.desktop emailwindow.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopetechatwindow.rc kopeteemailwindow.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)

=== libkopete/private/CMakeLists.txt ===




########### next target ###############


########### install files ###############

=== plugins/contactnotes/CMakeLists.txt ===

include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set(kopete_contactnotes_PART_SRCS contactnotesplugin.cpp contactnotesedit.cpp )

kde4_add_plugin(kopete_contactnotes ${kopete_contactnotes_PART_SRCS})


target_link_libraries(kopete_contactnotes ${KDE4_KIO_LIBS} kopete )

install(TARGETS kopete_contactnotes  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_contactnotes.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES contactnotesui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_contactnotes)

=== plugins/privacy/CMakeLists.txt ===

#add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
)

#common lib
set(kopete_privacy_LIB_SRCS privacymessagehandler.cpp privacyaccountlistmodel.cpp)
kde4_add_kcfg_files(kopete_privacy_LIB_SRCS privacyconfig.kcfgc )
kde4_add_library( kopeteprivacy SHARED ${kopete_privacy_LIB_SRCS})
target_link_libraries( kopeteprivacy ${KDE4_KDEUI_LIBS} kopete )
set_target_properties( kopeteprivacy PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install( TARGETS kopeteprivacy ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(kopete_privacy_PART_SRCS privacyplugin.cpp privacyguiclient.cpp)
kde4_add_plugin(kopete_privacy ${kopete_privacy_PART_SRCS})
target_link_libraries(kopete_privacy  ${KDE4_KDEUI_LIBS} kopete kopeteprivacy )
install(TARGETS kopete_privacy  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_privacy_PART_SRCS privacypreferences.cpp contactselectorwidget.cpp )
kde4_add_ui_files(kcm_kopete_privacy_PART_SRCS privacydialog.ui contactselectorwidget_base.ui )
kde4_add_plugin(kcm_kopete_privacy ${kcm_kopete_privacy_PART_SRCS})
target_link_libraries(kcm_kopete_privacy  ${KDE4_KUTILS_LIBS} ${QT_QT3SUPPORT_LIBRARY} kopete kopeteprivacy )
install(TARGETS kcm_kopete_privacy  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES privacyui.rc  privacychatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_privacy)
install( FILES kopete_privacy.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopete_privacy_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== protocols/bonjour/CMakeLists.txt ===
project ( kopete-bonjour )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=14220)

include_directories(${KDEPIMLIBS_INCLUDE_DIRS})

add_subdirectory( icons ) 

########### next target ###############

set(kopete_bonjour_PART_SRCS 
   bonjourprotocol.cpp 
   bonjourcontact.cpp 
   bonjouraccount.cpp 
   bonjouraddcontactpage.cpp 
   bonjoureditaccountwidget.cpp 
   bonjourcontactconnection.cpp
)

kde4_add_ui_files(kopete_bonjour_PART_SRCS
bonjouraddui.ui
)

kde4_add_ui_files(kopete_bonjour_PART_SRCS
bonjouraccountpreferences.ui
)

kde4_add_plugin(kopete_bonjour ${kopete_bonjour_PART_SRCS})

target_link_libraries(kopete_bonjour ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KPIMIDENTITIES_LIBS} ${KDE4_KDNSSD_LIBS} kopete)
if(NOT DISABLE_VIDEOSUPPORT)
  target_link_libraries(kopete_bonjour kopete_videodevice)
endif(NOT DISABLE_VIDEOSUPPORT)

install(TARGETS kopete_bonjour  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_bonjour.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== protocols/jabber/CMakeLists.txt ===
add_definitions(-DIRIS_XMPP_JID_DEPRECATED)

add_subdirectory( icons ) 
add_subdirectory( libiris ) 

#FIXME:glib : necessary ?
include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui/
${CMAKE_CURRENT_SOURCE_DIR}/tasks/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/include/iris
${CMAKE_CURRENT_SOURCE_DIR}/libiris/src
${QCA2_INCLUDE_DIR}
)

if(BUILD_GOOGLETALK)
  add_subdirectory(googletalk/libjingle)
  add_definitions(-DGOOGLETALK_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/googletalk/)
endif(BUILD_GOOGLETALK)

IF(BUILD_JINGLE)
  add_definitions(-DJINGLE_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/jingle)
ENDIF(BUILD_JINGLE)

#link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ ${CMAKE_CURRENT_BINARY_DIR}/jingle/ )
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ )

########### next target ###############

set(kopete_jabber_ui_SRCS 
    ui/dlgxmppconsole.cpp
    ui/jabberaddcontactpage.cpp 
    ui/dlgjabbervcard.cpp 
    ui/dlgjabberservices.cpp 
    ui/dlgregister.cpp 
    ui/dlgsearch.cpp 
    ui/dlgahcommand.cpp 
    ui/dlgahclist.cpp 
    ui/jabbereditaccountwidget.cpp 
    ui/jabberregisteraccount.cpp 
    ui/jabberchooseserver.cpp 
    ui/dlgjabberbookmarkeditor.cpp
    ui/dlgjabberchangepassword.cpp
    ui/dlgjabberchatroomslist.cpp
    ui/dlgjabberchatjoin.cpp 
    ui/privacylistblockedmodel.cpp
    ui/privacylistmodel.cpp
    ui/privacydlg.cpp
    ui/privacyruledlg.cpp
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      googletalk/googletalkcalldialog.cpp
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      jingle/jinglecontentdialog.cpp
      jingle/jinglecallsgui.cpp
  )
endif(BUILD_JINGLE)

set(kopete_jabber_ui_files
#   ${kopete_jabber_ui_SRCS}
   ui/dlgxmppconsole.ui
   ui/dlgjabberregisteraccount.ui 
   ui/dlgjabberchooseserver.ui 
   ui/dlgvcard.ui 
   ui/dlgservices.ui 
   ui/dlgaddcontact.ui 
   ui/dlgsearch.ui 
   ui/dlgchangepassword.ui 
   ui/dlgjabberbookmarkeditor.ui
   ui/dlgjabbereditaccountwidget.ui
   ui/dlgchatjoin.ui 
   ui/dlgchatroomslist.ui 
   ui/privacyrule.ui
   ui/privacy.ui
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      googletalk/googletalkcalldialog.ui
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)
  set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      jingle/jinglecontentdialog.ui
      jingle/jinglecallsgui.ui
  )
endif(BUILD_JINGLE)

kde4_add_ui_files(kopete_jabber_ui_SRCS ${kopete_jabber_ui_files})

set(kopete_jabber_PART_SRCS 
   tasks/jt_getlastactivity.cpp
   tasks/jt_privatestorage.cpp
   tasks/jt_ahcommand.cpp
   tasks/jt_xsearch.cpp
   tasks/jt_xregister.cpp
   tasks/jt_pubsub.cpp
   tasks/mood.cpp
   tasks/privacylistitem.cpp
   tasks/privacylist.cpp
   tasks/privacymanager.cpp
   ${kopete_jabber_ui_SRCS} 
   jabberprotocol.cpp 
   jabberaccount.cpp 
   jabberresource.cpp 
   jabberresourcepool.cpp 
   jabberbasecontact.cpp 
   jabbercontact.cpp 
   jabbergroupcontact.cpp 
   jabbergroupmembercontact.cpp 
   jabbercontactpool.cpp 
   jabberformtranslator.cpp 
   jabberxdatawidget.cpp 
   jabberformlineedit.cpp 
   jabberchatsession.cpp 
   jabbergroupchatmanager.cpp 
   jabberfiletransfer.cpp 
   jabbercapabilitiesmanager.cpp 
   jabbertransport.cpp 
   jabberbookmarks.cpp 
   jabberclient.cpp 
   jabberbobcache.cpp
)

if(BUILD_GOOGLETALK)
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      googletalk/googletalk.cpp
  )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      jingle/jinglecallsmanager.cpp
      jingle/jabberjinglesession.cpp
      jingle/jabberjinglecontent.cpp
      jingle/jinglertpsession.cpp
      jingle/mediamanager.cpp
      jingle/mediasession.cpp
      jingle/alsaio.cpp
      jingle/speexio.cpp
      jingle/abstractio.cpp
  )
endif(BUILD_JINGLE)

kde4_add_plugin(kopete_jabber ${kopete_jabber_PART_SRCS})


target_link_libraries(kopete_jabber ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QCA2_LIBRARIES} ${KDE4_SOLID_LIBS} kopete iris_kopete)
if(BUILD_JINGLE)	
  target_link_libraries(kopete_jabber ortp asound speex)
endif(BUILD_JINGLE)

install(TARGETS kopete_jabber  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_jabber.desktop xmpp.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES jabberchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber)

=== protocols/groupwise/libgroupwise/CMakeLists.txt ===
set( GROUPWISE_DEBUG_LIBGW 14191 )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=${GROUPWISE_DEBUG_LIBGW} )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/tasks
	${QCA2_INCLUDE_DIR}
)

########### tasks target ###############

set( libqgroupwise_tasks_SRCS
	tasks/chatcountstask.cpp
	tasks/chatpropertiestask.cpp
	tasks/conferencetask.cpp
	tasks/connectiontask.cpp
	tasks/createconferencetask.cpp
	tasks/createcontacttask.cpp
	tasks/createcontactinstancetask.cpp
	tasks/createfoldertask.cpp
	tasks/deleteitemtask.cpp
	tasks/eventtask.cpp
	tasks/getchatsearchresultstask.cpp
	tasks/getdetailstask.cpp
	tasks/getstatustask.cpp
	tasks/joinchattask.cpp
	tasks/joinconferencetask.cpp
	tasks/keepalivetask.cpp
	tasks/logintask.cpp
	tasks/leaveconferencetask.cpp
	tasks/modifycontactlisttask.cpp
	tasks/movecontacttask.cpp
	tasks/needfoldertask.cpp
	tasks/pollsearchresultstask.cpp
	tasks/privacyitemtask.cpp
	tasks/rejectinvitetask.cpp
	tasks/requesttask.cpp
	tasks/searchchattask.cpp
	tasks/searchusertask.cpp
	tasks/setstatustask.cpp
	tasks/sendinvitetask.cpp
	tasks/sendmessagetask.cpp
	tasks/statustask.cpp
	tasks/typingtask.cpp
	tasks/updatecontacttask.cpp
	tasks/updatefoldertask.cpp
	tasks/updateitemtask.cpp
)

set( libqgroupwise_SRCS
	bytestream.cpp
	chatroommanager.cpp
	client.cpp
	compressionhandler.cpp
	compress.cpp
	connector.cpp
	coreprotocol.cpp
	eventprotocol.cpp
	eventtransfer.cpp
	gwclientstream.cpp
	gwerror.cpp
	gwfield.cpp
	gwglobal.cpp
	inputprotocolbase.cpp
	privacymanager.cpp
	qcatlshandler.cpp
	request.cpp
	requestfactory.cpp
	response.cpp
	responseprotocol.cpp
	rtf.cc
	safedelete.cpp
	securestream.cpp
	stream.cpp
	task.cpp
	tlshandler.cpp
	transfer.cpp
	transferbase.cpp
	userdetailsmanager.cpp
	usertransfer.cpp
)


kde4_add_library( qgroupwise SHARED ${libqgroupwise_tasks_SRCS} ${libqgroupwise_SRCS} )

target_link_libraries( qgroupwise ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QT3SUPPORT_LIBRARY} ${QCA2_LIBRARIES} ${ZLIB_LIBRARIES} ${KDE4_KDECORE_LIBS})

########### install files ###############

install(TARGETS qgroupwise ${INSTALL_TARGETS_DEFAULT_ARGS})

=== protocols/oscar/aim/CMakeLists.txt ===

#add_subdirectory( ui )

include_directories(
${KOPETE_INCLUDES}
${CMAKE_CURRENT_SOURCE_DIR}/ui/
${CMAKE_CURRENT_BINARY_DIR}/ui/
${CMAKE_CURRENT_SOURCE_DIR}/../
${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/
${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/utils
${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/tasks
)


########### next target ###############

set(kopete_aim_ui_SRCS ui/aimaddcontactpage.cpp ui/aimeditaccountwidget.cpp)

kde4_add_ui_files(kopete_aim_ui_SRCS
ui/aimaddcontactui.ui
ui/aiminfobase.ui
ui/aimjoinchatbase.ui
ui/aimeditaccountui.ui
)

set(kopete_aim_PART_SRCS
   ${kopete_aim_ui_SRCS}
   aimprotocol.cpp
   aimaccount.cpp
   aimcontact.cpp
   icqcontact.cpp
   aimstatusmanager.cpp
   aimuserinfo.cpp
   aimjoinchat.cpp
   aimchatsession.cpp )

kde4_add_plugin(kopete_aim ${kopete_aim_PART_SRCS})


target_link_libraries(kopete_aim
    kopete_oscar
    oscar
    kopete
    ${KDE4_KDEUI_LIBS}
    ${QT_QTXML_LIBRARY}
    )

install(TARGETS kopete_aim  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_aim.desktop aim.protocol  DESTINATION ${SERVICES_INSTALL_DIR})

=== protocols/sms/ui/CMakeLists.txt ===




########### next target ###############
kde4_add_ui3_files ( uiSrcs
  smsactprefs.ui
  smsuserprefs.ui
  smsadd.ui )
kde4_add_library( kopetesmsui SHARED ${uiSrcs} )
target_link_libraries(kopetesmsui  ${KDE4_KIO_LIBS} )

########### install files ###############
install(TARGETS kopetesmsui  DESTINATION ${PLUGIN_INSTALL_DIR})

=== protocols/testbed/icons/CMakeLists.txt ===




########### install files ###############

kde4_install_icons( ${DATA_INSTALL_DIR}/kopete/icons  )

## kopete 4.11.2

=== debian/changelog ===
kopete (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:34:28 +0100

kopete (4:4.11.1-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release.

  [ Rohan Garg ]
  * Improve regex for kopete.install*

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:28:31 +0100

kopete (4:4.11.0-0ubuntu2) saucy; urgency=low

  * Query DEB_HOST_GNU_CPU instead of DEB_HOST_GNU_TYPE for the powerpc
    detection

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 17 Aug 2013 15:45:18 +0200

kopete (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release
  * Add libsrtp0-dev and libasound2-dev as build-dep of kopete

  [ Scott Kitterman ]
  * Disable building googletalk on powerpc because the embedded libjingle does
    not support ppc
    - Override config option in debian/rules
    - Add powerpc specific kopete.install file
  * Removed obsolete debian/source/lintian-overrides

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:23:55 +0100

kopete (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * Remove DISABLE_VIDEOSUPPORT=true, no longer a compile failure
  * Add build-dep on libv4l-dev, libexpat1-dev
  * Add back Skype protocol now trademarked icons removed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:45:14 +0100

kopete (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:51 +0000

kopete (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Delete the API patch since it's included in upstream now.
  * Fix control file to make -dbg depend on main package.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:19:57 +0100

kopete (4:4.10.80-0ubuntu2) saucy; urgency=low

  * Add boost build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 10:25:10 +0100

kopete (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package split from kdenetwork
  * kubuntu_no_break_api.diff revert upstream API break

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:22:39 +0100

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2), libsqlite3-dev, 
 libortp-dev, libspeex-dev, libqimageblitz-dev (>= 1:0.0.4),
 libqca2-dev (>= 2.0.0), libidn11-dev,
 libxml2-dev, libxslt1-dev, libmsn-dev (>= 4.1),
 libvncserver-dev (>= 0.9.8.1), 
 libssl-dev, libxss-dev, 
 libmediastreamer-dev, libmeanwhile-dev, libgadu-dev,
 libjasper-dev, libgif-dev, libotr2-dev, libjsoncpp-dev,
 libboost1.53-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
 libasound2-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kopete (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

## kopete 4.11.3

=== debian/changelog ===
kopete (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Import part of libjingle's r305 to allow building on unknown architectures;
    patch libjingle_unknown_architecture.diff.
  * Temporarily disable the googletalk integration on non-Linux OSes, as it
    does not build on them and it needs quite some changes to do that.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Dec 2013 10:59:10 +0100

kopete (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:25 +0100

kopete (4:4.11.2-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.
  * Syntax error in debian/copyright.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:31 +0200

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11),
 nepomuk-core-dev (>= 4:4.11),
 pkg-config,
 libsqlite3-dev,
 libqimageblitz-dev (>= 1:0.0.4),
 libortp-dev (>= 0.13),
 libsrtp0-dev,
 libjsoncpp-dev,
 libqca2-dev (>= 2.0.0),
 libidn11-dev,
 libxml2-dev,
 libxslt1-dev,
 libmsn-dev (>= 4.1),
 libgif-dev,
 libmediastreamer-dev (>= 3.6),
 libmeanwhile-dev,
 libgadu-dev (>= 1.8.0),
 libexpat-dev,
 libssl-dev,
 libv4l-dev [linux-any],
 libjasper-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 zlib1g-dev,
 libjpeg-dev,
 libboost-dev,
 libxdamage-dev,
 libgnutls-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false $(CONFIGURE_ARGS)

override_dh_install:
	grep -v googletalk-call debian/kopete.install > debian/kopete.install.kfreebsd
	$(overridden_command)

override_dh_clean:
	$(overridden_command)
	rm -f debian/kopete.install.kfreebsd

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

## kopete 4.11.5

=== debian/changelog ===
kopete (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:44:40 +0100

kopete (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:58:44 +0000

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.5), libsqlite3-dev, 
 libortp-dev, libspeex-dev, libqimageblitz-dev (>= 1:0.0.4),
 libqca2-dev (>= 2.0.0), libidn11-dev,
 libxml2-dev, libxslt1-dev, libmsn-dev (>= 4.1),
 libvncserver-dev (>= 0.9.8.1), 
 libssl-dev, libxss-dev, 
 libmediastreamer-dev, libmeanwhile-dev, libgadu-dev,
 libjasper-dev, libgif-dev, libotr2-dev, libjsoncpp-dev,
 libboost1.53-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
 libasound2-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete-13.10
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete-13.10

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kopete (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

.PHONY: override_dh_auto_test

override_dh_auto_configure:
ifeq ($(DEB_HOST_GNU_CPU),powerpc)
	$(overridden_command) -- -DWITH_GOOGLETALK=false
else
	$(overridden_command)
endif

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kopete-dbg

## kopete 4.12.3

=== debian/changelog ===
kopete (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:43:23 +0100

kopete (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:01:29 +0100

kopete (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Build without Google talk and libjingle on failing architectures

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Feb 2014 14:49:56 +0000

kopete (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:09:40 +0000

kopete (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:25:19 +0000

kopete (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:18:59 +0000

kopete (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:19:13 +0000

kopete (4:4.11.95-0ubuntu3) trusty; urgency=low

  * Update install files for powerpc (Try #2)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 26 Nov 2013 18:24:47 +0100

kopete (4:4.11.95-0ubuntu2) trusty; urgency=low

  * Update install files for powerpc

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 26 Nov 2013 17:47:13 +0100

kopete (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Build-depend on kdepim-dev (for kleopatra)
  * Add cryptography plugins to kopete.install 

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:16:36 +0100

kopete (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Bump build dependency to libotr5-dev
  * Update symbols
  * Update install files
  * Drop new_linphone.diff, not required anymore

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:46:40 +0100

kopete (4:4.11.2-0ubuntu3) trusty; urgency=low

  * Import new_linphone.diff patch from debian, to fix FTBFS against new
    linphone.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 30 Oct 2013 23:09:31 +0000

kopete (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), libsqlite3-dev, 
+ kdepimlibs5-dev (>= 4:4.12.3), libsqlite3-dev, 
  libortp-dev, libspeex-dev, libqimageblitz-dev (>= 1:0.0.4),
  libqca2-dev (>= 2.0.0), libidn11-dev,
  libxml2-dev, libxslt1-dev, libmsn-dev (>= 4.1),
  libvncserver-dev (>= 0.9.8.1), 
  libssl-dev, libxss-dev, 
  libmediastreamer-dev, libmeanwhile-dev, libgadu-dev,
- libjasper-dev, libgif-dev, libotr2-dev, libjsoncpp-dev,
- libboost1.53-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
- libasound2-dev
+ libjasper-dev, libgif-dev, libotr5-dev, libjsoncpp-dev,
+ libboost1.48-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
+ libasound2-dev, kdepim-dev (>= 4:4.12.3)
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
 
 Package: libkopete4
 Section: libs

## kopete 4.13.0

=== debian/changelog ===
kopete (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:10:53 +0100

kopete (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:35:37 +0200

kopete (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:37:04 +0100

kopete (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:07:47 +0000

kopete (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:57:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.12.3), libsqlite3-dev, 
+ kdepimlibs5-dev (>= 4:4.13.0), libsqlite3-dev, 
  libortp-dev, libspeex-dev, libqimageblitz-dev (>= 1:0.0.4),
  libqca2-dev (>= 2.0.0), libidn11-dev,
  libxml2-dev, libxslt1-dev, libmsn-dev (>= 4.1),
@@ -12,8 +12,8 @@
  libssl-dev, libxss-dev, 
  libmediastreamer-dev, libmeanwhile-dev, libgadu-dev,
  libjasper-dev, libgif-dev, libotr5-dev, libjsoncpp-dev,
- libboost1.48-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
- libasound2-dev, kdepim-dev (>= 4:4.12.3)
+ libboost1.54-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
+ libasound2-dev, kdepim-dev (>= 4:4.13.0)
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
